{% extends "dashboard/dashboard_content.html" %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>


{% endblock %}

{% block title %}
    Allot COE
{% endblock %}

{% block rightPane %}
    {% if perms.accounts.can_allot_hod %}
        <div class="x_panel">
            <div class="x_title">
                <h2>
                    <i class="fa fa-user"></i>
                    Allot COE
                </h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <div class="row">
                    <div class="tab-content">
                        <form class="form-horizontal" method="POST">{% csrf_token %}
                            <div class="alert alert-success" role="alert" align="center">
                                <h4><strong>The selected staff will be the Controller of Examiniation</strong></h4>
                            </div>
                            <div class="form-group">
                                <div align="center">
                                    <h4>Current COE &nbsp;:&nbsp;&nbsp;&nbsp;
                                        <select class="selectpicker" name="selected_staff_id" data-live-search="true"
                                                data-width="auto" required>
                                            {% if selected_staff_id == None %}
                                                <option selected> Not alloted</option>
                                            {% endif %}
                                            {% for staff in all_staffs %}
                                                {% if selected_staff_id == staff.pk %}
                                                    <option value="{{ staff.pk }}"
                                                            selected="selected">{{ staff }}</option>
                                                {% else %}
                                                    <option value="{{ staff.pk }}"
                                                            data-subtext="[ {{ staff.department.acronym }} ]">{{ staff }}</option>
                                                {% endif %}
                                            {% endfor %}
                                        </select>
                                    </h4>
                                </div>
                            </div>
                            <div align="center">
                                <input type="submit" class="save btn btn-lg btn-success" name="assign" value="Assign"
                                       id="assign"/>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <br>
        </div>
    {% endif %}
{% endblock %}